WordPress.org

Support

Support » How-To and Troubleshooting » Three WP 2.8 Problems

Three WP 2.8 Problems

  • 1)

    I’m getting this error on the Admin, under the Posts menu, right below Add New; also at the end of every Admin page):

    PHP Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(E:\Domains\sungjwoo.com\wwwroot/wp-content/plugins/edit-tags.php?taxonomy=post_tag) is not within the allowed path(s): (E:\Domains\madfellas.com\wwwroot\test;E:\DOMAINS\;c:\php5\uploadtemp;C:\PHP5\pear;C:\WINDOWS\TEMP;c:\php5\sessiondata;C:\Program Files\ImageMagick-6.4.2-Q16\;) in E:\Domains\sungjwoo.com\wwwroot\wp-admin\menu-header.php on line 118

    2) I get this error when I try to activate the All in One SEO Pack:

    Warning: is_readable() [function.is-readable]: open_basedir restriction in effect. File(E:\Domains\sungjwoo.com\wwwroot/E:\Domains\sungjwoo.com\wwwroot/wp-content/plugins/all-in-one-seo-pack/all_in_one_seo_pack-en_US.mo) is not within the allowed path(s): (E:\Domains\madfellas.com\wwwroot\test;E:\DOMAINS\;c:\php5\uploadtemp;C:\PHP5\pear;C:\WINDOWS\TEMP;c:\php5\sessiondata;C:\Program Files\ImageMagick-6.4.2-Q16\;) in E:\Domains\sungjwoo.com\wwwroot\wp-includes\l10n.php on line 324

    3) The rich-text editor isn’t working. I can edit if I choose the HTML tab, but the Visual tab is blank and the little icons aren’t there. I’m using FF3, but with IE, I get this Javascript error:

    User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.2; WOW64; Trident/4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648; .NET CLR 3.5.21022)
    Timestamp: Fri, 12 Jun 2009 00:32:58 UTC

    Message: ‘tinyMCE’ is undefined
    Line: 1
    Char: 1
    Code: 0
    URI: http://www.sungjwoo.com/wp-includes/js/tinymce/langs/wp-langs-en.js?ver=3241-1141
    Message: Object doesn’t support this property or method
    Line: 575
    Char: 1
    Code: 0
    URI: http://www.sungjwoo.com/wp-admin/page.php?action=edit&post=5

    I’ve deactivated all my plugins, but that did not resolve any of the issues above. I didn’t think going from 2.7.1 to 2.8 would have this much trouble…I may have to roll back. Thank you.

    – Sung

Viewing 11 replies - 1 through 11 (of 11 total)
  • Hi Sung, I’m getting the exact same problem as you described in 3)

    I just upgraded a blog to 2.8 also through automatic upgrade and now i’m getting these errors when I load the ‘Add New’ post page. The visual editor is not working in either FF or IE

    ——————————
    tinyMCE is not defined
    wp-langs-en.js?ver=3241-11411()()

    http://www.twofriends2.com/wp-includes/js/tinymce/langs/wp-langs-en.js?ver=3241-11411
    Line 1

    ———————————

    tinyMCE is not defined
    load_ext()post-new.php (line 750)
    [Break on this error] <script type=’text/javascript’ src=’http…ce.php?c=1&ver=3241-11411′></script>
    http://www.twofriends2.com/wp-admin/post-new.php
    Line 750

    Does anyone have any ideas?

    I had the error in #3 as well. These steps resolved it for me:

    http://wordpress.org/support/topic/279132

    I am experiencing the same problems with editing, as well

    I don’t know why but for some reason the new install doesn’t overwrite tinyMCE file properly.

    Here is how to fix it.

    1. download wordpress 2.8 from wordpress.org and unzip
    2. find wp-includes/js/tinymce
    3. in your FTP software find wp-includes/jc/tinymce
    4. delete this file and replace with the new one

    I had the same issue as #3, and the fix crydrm1.1 mentioned fixed it for me.

    Thanks!

    I have also problem one. On a other site by the same hoster it works fine. I deaktivatet all Plugins, but it did not help.
    I cant find the File wp-content/plugins/edit-tags.php, there is on every installation a File wp-admin/edit-tags.php

    Got similar problems, but there is a Upgrade page under Tools now where you can choose to reinstall wordpress – seemed to fix the editor problem.

    I tried that, but it did not help

    Still having the same problem with issue #1:

    PHP Warning: file_exists() [function.file-exists]: open_basedir restriction in effect. File(E:\Domains\sungjwoo.com\wwwroot/wp-content/plugins/edit-tags.php?taxonomy=post_tag) is not within the allowed path(s): (E:\Domains\madfellas.com\wwwroot\test;E:\DOMAINS\;c:\php5\uploadtemp;C:\PHP5\pear;C:\WINDOWS\TEMP;c:\php5\sessiondata;C:\Program Files\ImageMagick-6.4.2-Q16\;E:\Domains\sungjwoo.com\wwwroot/wp-content/plugins/) in E:\Domains\sungjwoo.com\wwwroot\wp-admin\menu-header.php on line 118

    I think this is a bug with 2.8…

    I was getting a blank page when I clicked on New Post. I deactivated “Ozh’ Admin Drop Down Menu” and that resolved it for me. I LOVE that plugin and have reported the issue to them directly as well.

    Thanks czydrm1.1. My Visual Tab lives again!

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Three WP 2.8 Problems’ is closed to new replies.
Skip to toolbar